clang 8.0.0

Public Types | Public Member Functions | List of all members
clang::DeclContext::ddiag_iterator Class Reference

An iterator over the dependent diagnostics in a dependent context. More...

`#include "clang/AST/DependentDiagnostic.h"`

## Public Types
using | value_type = DependentDiagnostic *
using | reference = DependentDiagnostic *
using | pointer = DependentDiagnostic *
using | difference_type = int
using | iterator_category = std::forward_iterator_tag

## Public Member Functions
| ddiag_iterator ()=default
| ddiag_iterator (DependentDiagnostic *Ptr)
reference | operator* () const
ddiag_iterator & | operator++ ()
ddiag_iterator | operator++ (int)
bool | operator== (ddiag_iterator Other) const
bool | operator!= (ddiag_iterator Other) const
ddiag_iterator & | operator+= (difference_type N)
ddiag_iterator | operator+ (difference_type N) const

## Detailed Description

An iterator over the dependent diagnostics in a dependent context.

Definition at line 126 of file DependentDiagnostic.h.

## Member Typedef Documentation

## ◆ difference_type

using clang::DeclContext::ddiag_iterator::difference_type = int

Definition at line 134 of file DependentDiagnostic.h.

## ◆ iterator_category

using clang::DeclContext::ddiag_iterator::iterator_category = std::forward_iterator_tag

Definition at line 135 of file DependentDiagnostic.h.

## ◆ pointer

using clang::DeclContext::ddiag_iterator::pointer = DependentDiagnostic *

Definition at line 133 of file DependentDiagnostic.h.

## ◆ reference

using clang::DeclContext::ddiag_iterator::reference = DependentDiagnostic *

Definition at line 132 of file DependentDiagnostic.h.

## ◆ value_type

using clang::DeclContext::ddiag_iterator::value_type = DependentDiagnostic *

Definition at line 131 of file DependentDiagnostic.h.

## Constructor & Destructor Documentation

## ◆ ddiag_iterator() [1/2]

clang::DeclContext::ddiag_iterator::ddiag_iterator | ( |  | ) |
| default

## ◆ ddiag_iterator() [2/2]

clang::DeclContext::ddiag_iterator::ddiag_iterator | ( | DependentDiagnostic * | Ptr | ) |
| inline explicit

Definition at line 129 of file DependentDiagnostic.h.

## Member Function Documentation

## ◆ operator!=()

bool clang::DeclContext::ddiag_iterator::operator!= | ( | ddiag_iterator | Other | ) | const
| inline

Definition at line 155 of file DependentDiagnostic.h.

## ◆ operator*()

reference clang::DeclContext::ddiag_iterator::operator* | ( |  | ) | const
| inline

Definition at line 137 of file DependentDiagnostic.h.

## ◆ operator+()

ddiag_iterator clang::DeclContext::ddiag_iterator::operator+ | ( | difference_type | N | ) | const
| inline

Definition at line 166 of file DependentDiagnostic.h.

## ◆ operator++() [1/2]

ddiag_iterator& clang::DeclContext::ddiag_iterator::operator++ | ( |  | ) |
| inline

Definition at line 139 of file DependentDiagnostic.h.

## ◆ operator++() [2/2]

ddiag_iterator clang::DeclContext::ddiag_iterator::operator++ | ( | int |  | ) |
| inline

Definition at line 145 of file DependentDiagnostic.h.

## ◆ operator+=()

ddiag_iterator& clang::DeclContext::ddiag_iterator::operator+= | ( | difference_type | N | ) |
| inline

Definition at line 159 of file DependentDiagnostic.h.

## ◆ operator==()

bool clang::DeclContext::ddiag_iterator::operator== | ( | ddiag_iterator | Other | ) | const
| inline

Definition at line 151 of file DependentDiagnostic.h.

The documentation for this class was generated from the following file:

- include/clang/AST/DependentDiagnostic.h